import React from 'react';
import {Text, TouchableOpacity, View} from 'react-native';
import Colors from '../../constants/colors';

const Date = ({date, isActive, onPress}) => {
  const getContainerStyle = () => ({
    ...styles.container,
    ...(isActive ? styles.containerActive : {}),
  });

  const getDayStyle = () => ({
    ...styles.text,
    ...styles.day,
  });

  const getDateStyle = () => ({
    ...styles.text,
    ...styles.date,
    ...(isActive ? styles.textActive : {}),
  });

  return (
    <View>
      <Text style={getDayStyle()}>{date.format('ddd').toUpperCase()}</Text>
      <TouchableOpacity style={getContainerStyle()} onPress={onPress}>
        <Text style={getDateStyle()}>{date.format('D')}</Text>
      </TouchableOpacity>
    </View>
  );
};

export default Date;

const styles = {
  container: {
    height: 40,
    width: 40,
    marginHorizontal: 10,
    alignItem: 'center',
    justifyContent: 'center',
  },
  containerActive: {
    backgroundColor: 'black',
    borderRadius: 100,
  },
  day: {
    fontSize: 17,
    fontWeight: 'bold',
  },
  date: {
    fontSize: 19,
    color: Colors.dark_gray,
  },
  text: {
    textAlign: 'center',
    fontSize: 25,
  },
  textActive: {
    color: '#FFFFFF',
  },
};
