import React, {useContext} from 'react';
import {StyleSheet, View} from 'react-native';
import {AppContext} from '..';
import {hourSize} from '../constants/hourSize';

const HorizontalLine = () => {
  const {minlineWidth, resources} = useContext(AppContext);
  const lineLength = resources?.length * minlineWidth;
  return [...Array(24)].map((val, i) => (
    <View
      key={i}
      style={[styles.line, {width: lineLength, minWidth: minlineWidth}]}
    />
  ));
};

const styles = StyleSheet.create({
  line: {
    paddingTop: hourSize - 0.7,
    borderBottomColor: '#BABABA',
    borderBottomWidth: 1,
  },
});

export default HorizontalLine;
