import moment from 'moment';
import React, {useContext, useEffect, useState} from 'react';
import {StyleSheet, Text, View} from 'react-native';
import {AppContext} from '..';
import Colors from '../constants/colors';
import {hourSize} from '../constants/hourSize';

const NowLine = ({selectedDate}) => {
  const [paddingTop, SetPaddingTop] = useState(0);

  useEffect(() => {
    _setHeight();
    const interval = setInterval(() => {
      _setHeight();
    }, 10000);
    return () => clearInterval(interval);
  }, []);

  const _setHeight = () => {
    var midnight = new Date();
    midnight.setHours(0, 0, 0, 0);
    var now = new Date();
    var hours = (now - midnight) / 3600000;
    var calc_pad = hours * hourSize - 1;
    SetPaddingTop(calc_pad);
  };
  const {minlineWidth, resources} = useContext(AppContext);

  const lineLength = resources?.length * minlineWidth;

  if (!moment().isSame(selectedDate, 'day')) {
    return null;
  }

  return (
    <>
      <View
        style={[
          styles.line,
          {paddingTop, width: lineLength, minWidth: minlineWidth},
        ]}
      />
      <View style={[styles.time, {marginTop: paddingTop - 7}]}>
        <Text style={styles.text}>{moment().format('hh:mm')}</Text>
      </View>
    </>
  );
};

export default NowLine;

const styles = StyleSheet.create({
  time: {
    position: 'absolute',
    left: -50,
    minWidth: 50,
    backgroundColor: 'white',
  },
  line: {
    borderBottomColor: Colors.red,
    borderBottomWidth: 2,
    position: 'absolute',
  },
  text: {
    color: Colors.red,
  },
});
