/* eslint-disable react-native/no-inline-styles */
import React, {useContext} from 'react';
import {View} from 'react-native';
import {AppContext} from '..';
import EventView from './EventView';

const RowView = ({row, hour_size}) => {
  const {eventmarginWidth} = useContext(AppContext);

  return (
    <View
      style={{
        position: 'absolute',
        marginTop: row.hrsBefore * hour_size,
        flexDirection: 'row',
        marginLeft: row?.position * eventmarginWidth,
      }}>
      {row.rowAppts.map((appt, i) => (
        <EventView
          key={i}
          topTime={row.startTime}
          appt={appt}
          hour_size={hour_size}
        />
      ))}
    </View>
  );
};

export default RowView;
