import React, {useContext} from 'react';
import {AppContext} from '..';
import {hourSize} from '../constants/hourSize';
import todayData from '../services/todayData';
import RowView from './RowView';

const ScheduledData = ({dataArray, date}) => {
  const {resources} = useContext(AppContext);

  const data = todayData(dataArray, date, resources);
  return (
    <>
      {data.map((row, i) => (
        <RowView key={i} row={row} hour_size={hourSize} />
      ))}
    </>
  );
};

export default ScheduledData;
