import {hrsToStart} from './hrsToPx';

const processedRows = (inputData, resources) => {
  let outputData = [];

  inputData.forEach(appt => {
    const position = resources.findIndex(item => item.id === appt.resourceId);

    let index = outputData.findIndex(el => {
      return overlaps(appt, el);
    });

    if (index >= 0) {
      outputData[index].rowAppts.push(appt);
    } else {
      outputData.push({
        hrsBefore: hrsToStart(appt.startTime),
        startTime: appt.startTime,
        endTime: appt.endTime,
        rowAppts: [appt],
        position: position,
        id: appt.id,
      });
    }
  });

  return outputData;
};

const overlaps = (a, b) => {
  return (
    ((a.startTime <= b.startTime && b.startTime <= a.endTime) ||
      (a.startTime <= b.endTime && b.endTime <= a.endTime)) &&
    a.id === b.id
  );
};

export default processedRows;
